Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07912 Graphics Minor Always Mar 22, 2021, 12:21 Jun 21, 2021, 18:37
Tester halmako View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver vis.cpp
Version 0.229 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary MESS-specific 07912: vis: Various graphic glitches for reference.
Description 1) In the opening screen, the magnifying glass moves from left to right, but some afterimages remain in the middle.
2) Links :The Challenge of Golf is cutting off the right edge of the screen.
Steps To Reproduce When I start the game, it is obvious that the right edge of some screens are cut off.
I compared it to the DOS version for confirmation, and confirmed that the right edge of the screen is cut off where the same screen is displayed.
Additional Information This report is a compilation of some vis reports for reference.
Github Commit
Flags
Regression Version
Affected Sets / Systems vis
Attached Files
jpg file icon 002.jpg (101,888 bytes) Mar 22, 2021, 12:21 Uploaded by halmako
halmako
png file icon LinksVIS_Mame005.png (151,567 bytes) Mar 22, 2021, 12:23 Uploaded by halmako
halmako
jpg file icon 98790VIS.jpg (40,797 bytes) Mar 22, 2021, 12:25 Uploaded by halmako
On the actual screen, the right edge is not cut off.
halmako
png file icon LinksVIS_Mame013.png (364,593 bytes) Mar 22, 2021, 12:26 Uploaded by halmako
VIS Screen
halmako
png file icon 003.png (66,977 bytes) Mar 22, 2021, 12:28 Uploaded by halmako
DOS Screen(The right edge is not cut off)
halmako
png file icon SHR1-001.png (53,407 bytes) Mar 24, 2021, 16:32 Uploaded by Fujix
Fujix
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.18598
Fujix
Administrator
Mar 23, 2021, 09:33
edited on: Mar 23, 2021, 09:34
Sorry, I didn't check the driver status well, please let me close this report for a known issue.
User avatar
No.18603
crazyc
Developer
Mar 26, 2021, 01:59
edited on: Mar 26, 2021, 02:03
Sherlock homes movie regressed in 0.224. There were no changes to vis.cpp or pc_vga.cpp between 223 and 224.
User avatar
No.18604
Tafoid
Administrator
Mar 26, 2021, 04:58
A little research and daily checking seems to suggest the failure in changes of pit8254 (pit8253.cpp/.h) with Sherlock Holmes

https://github.com/mamedev/mame/commit/f7b263de20594fd720a8ff49b7528c48a64ddb9d - August 19, 2020
Broke VIS - hangs driver - black screen

https://github.com/mamedev/mame/commit/e9a0dc19d87ea7a7ffc3ab59f4810d23b1a672ef - August 20, 2020
ViS starts again, but graphic issues are present
User avatar
No.18663
crazyc
Developer
Apr 7, 2021, 03:18
The timer 1 of the pit is programmed for 100000hz. If I revert those commits and disable timer 1 the output is corrupt in the same way so it seems there's a problem with very high frequencies.
User avatar
No.19005
crazyc
Developer
Jun 21, 2021, 02:39
https://github.com/mamedev/mame/commit/0c5c72286fd349e92ea756f9d04c63df008fab56 returns it to to popping audio with normal video